# stg-goto(1) Manual Page

## NAME

stg-goto - Go to patch by pushing or popping as necessary

## SYNOPSIS

    stg goto [OPTIONS] <patch>

## DESCRIPTION

Go to patch by pushing or popping as necessary

## OPTIONS

-k
--keep

  Keep the local changes

-m
--merged

  Check for patches merged upstream

--committer-date-is-author-date

  Instead of using the current time as the committer date, use the author date of the commit as the committer date.

--conflicts[=<policy>]

  Either "allow" or "disallow" pushing a patch with conflicts.

  Using `--conflicts=allow` (or just `--conflicts`) allows pushing a patch that may result in unresolved merge conflicts. The patch will be pushed and files with conflicts will be left with conflict markers to be resolved manually; or the operation undone with `stg undo --hard`. This is the default behavior and also corresponds to the "stgit.push.allow-conflicts" variable being set to "true".

  Using `--conflicts=disallow` disallows pushing any patch that would result in merge conflicts. The operation will stop on the last patch that can be pushed without conflicts. This behavior can be configured by setting "stgit.push.allow-conflicts" to "false".

## StGit

Part of the StGit suite - see stg(1)